#ifndef __TERMINAL_SBS_H
#define __TERMINAL_SBS_H

#include "terminal.h"

#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"


class SbsTerminal : public Terminal
{
public:
    SbsTerminal();

    virtual void configure();
    virtual int execute(int argc, const char * const * argv);
    virtual void sigint (void);
    virtual void connectCallback();


public:
    int help(int argc, const char * const * argv);
    int help_connection();
    int version(int argc, const char * const * argv);
    int clear(int argc, const char * const * argv);
    int reset(int argc, const char * const * argv);
    
    
public:
    
    void put_byte(char byte);
    
public :
    
    QueueHandle_t m_dataQueue;
};

extern SbsTerminal sbsTerminal;


#endif // __TERMINAL_SBS_H
